#!/usr/bin/env node
var program = require("commander");

program.version(require(require("path").join(__dirname, "../package.json")).version)
	.command("add <subdomain> <proxyHost> <proxyPort>", "Add a new host")
	.command("update <subdomain> <proxyHost> <proxyPort>", "Update an existing host")
	.command("remove <subdomain>", "Remove an existing host")
	.command("list", "List current hosts", {isDefault: true})
	.command("auth", "Login to the API")
	.parse(process.argv);
