module.exports = {
	getAuthToken: function(){
		var config = require('./config');
		var token;
		try {
			token = require('fs').readFileSync(config.authFile);
			return token;
		} catch (e){
			console.error('No auth file, use \'dpc auth\' to login.');
			return process.exit(1);
		}
	}
}